Bug 1728345 - Review Request: flent - The FLExible Network Tester
Summary: Review Request: flent - The FLExible Network Tester
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cestmir Kalina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-09 18:04 UTC by Toke Høiland-Jørgensen
Modified: 2019-11-26 23:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-11 13:51:51 UTC
Type: ---
ckalina: fedora-review+


Attachments (Terms of Use)

Description Toke Høiland-Jørgensen 2019-07-09 18:04:59 UTC
Spec URL: https://github.com/tohojo/flent/blob/master/packaging/rpm/flent.spec
SRPM URL: https://github.com/tohojo/flent/releases/download/v1.3.0/flent-1.3.0-1.fc30.src.rpm
Description: The FLExible Network Tester is a network testing tool widely used in the Bufferbloat community to run network stress tests. It uses netperf and iperf as the underlying measurement tools, and can aggregate test results and graph the results.

Fedora Account System Username: tohojo

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36153594
Copr repo: https://copr.fedorainfracloud.org/coprs/tohojo/Flent/

I am also the upstream maintainer of Flent and already package it for Debian, but this is my first Fedora package, so I am looking for sponsorship.

Comment 1 Cestmir Kalina 2019-07-10 10:26:59 UTC
APPROVED.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[-]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
[-]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint
-------
[root@fedora30 noarch]# rpmlint -i -v *
flent.noarch: I: checking
flent.noarch: W: spelling-error Summary(en_US) bufferbloat -> buffer bloat, buffer-bloat, buffaloes
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: W: spelling-error %description -l en_US netperf -> netter
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: W: spelling-error %description -l en_US iperf -> imperf
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: W: spelling-error %description -l en_US csv -> cs, cs v, CST
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: W: spelling-error %description -l en_US timestamped -> time stamped, time-stamped, times tamped
The value of this tag appears to be misspelled. Please double-check.

flent.noarch: I: checking-url https://flent.org/ (timeout 10 seconds)
flent.noarch: W: no-manual-page-for-binary flent-gui
Each executable in standard binary directories should have a man page.

flent-doc.noarch: I: checking
flent-doc.noarch: W: spelling-error %description -l en_US netperf -> netter
The value of this tag appears to be misspelled. Please double-check.

flent-doc.noarch: W: spelling-error %description -l en_US iperf -> imperf
The value of this tag appears to be misspelled. Please double-check.

flent-doc.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
The value of this tag appears to be misspelled. Please double-check.

flent-doc.noarch: W: spelling-error %description -l en_US csv -> cs, cs v, CST
The value of this tag appears to be misspelled. Please double-check.

flent-doc.noarch: W: spelling-error %description -l en_US timestamped -> time stamped, time-stamped, times tamped
The value of this tag appears to be misspelled. Please double-check.

flent-doc.noarch: I: checking-url https://flent.org/ (timeout 10 seconds)
flent-doc.noarch: W: hidden-file-or-dir /usr/share/doc/flent-doc/html/.buildinfo
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

2 packages and 0 specfiles checked; 0 errors, 13 warnings.

.buildinfo has since been removed:
https://github.com/tohojo/flent/commit/4ae001da7190ac0370af833baa84555051c3e064

As that is the case, spelling errors notwithstanding, rpmlint output shows nothing
of consequence.

Comment 2 Toke Høiland-Jørgensen 2019-07-10 11:04:46 UTC
Adding FE-NEEDSPONSOR

Comment 3 Adrian Reber 2019-07-10 13:27:07 UTC
I sponsored Toke.

Comment 4 Gwyn Ciesla 2019-07-10 15:21:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flent

Comment 5 Fedora Update System 2019-07-11 14:35:08 UTC
FEDORA-2019-20eb7e6aa6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-20eb7e6aa6

Comment 6 Fedora Update System 2019-07-11 14:35:48 UTC
FEDORA-2019-1ee6937d8b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ee6937d8b

Comment 7 Fedora Update System 2019-07-12 02:15:57 UTC
flent-1.3.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-20eb7e6aa6

Comment 8 Fedora Update System 2019-07-12 06:09:37 UTC
flent-1.3.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ee6937d8b

Comment 9 Fedora Update System 2019-11-26 23:51:03 UTC
flent-1.3.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.